Package org.apache.felix.atomos.maven

## Class LauncherBuilderUtil

- java.lang.Object
- - org.apache.felix.atomos.maven.LauncherBuilderUtil

    public class LauncherBuilderUtil
    extends Object

### Constructor Summary

Constructors
`LauncherBuilderUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.felix.atomos.utils.core.plugins.collector.PathCollectorPluginConfig` `processClasspathFile​(MavenClassPathFileConfig filesIndexMojoConfig)`
`static org.apache.felix.atomos.utils.core.plugins.collector.PathCollectorPluginConfig` `processClasspathMaven​(org.apache.maven.project.MavenProject project, MavenClasspathMavenConfig mavenIndexMojoConfig)`
`static org.apache.felix.atomos.utils.core.plugins.index.IndexPluginConfig` `processIndex​(MavenIndexConfig indexConfig, org.apache.maven.project.MavenProject project)`
`static org.apache.felix.atomos.utils.core.plugins.finaliser.ni.NativeImageBuilderConfig` `processNativeImageConfig​(MavenNativeImageConfig nativeImageConfig, org.apache.maven.project.MavenProject project)`
`static org.apache.felix.atomos.utils.core.plugins.finaliser.shade.ShadeConfig` `processShade​(MavenShadeConfig shade, org.apache.maven.project.MavenProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LauncherBuilderUtil

    public LauncherBuilderUtil()

### Method Detail

#### processClasspathFile

    public static org.apache.felix.atomos.utils.core.plugins.collector.PathCollectorPluginConfig processClasspathFile​(MavenClassPathFileConfig filesIndexMojoConfig)

#### processClasspathMaven

    public static org.apache.felix.atomos.utils.core.plugins.collector.PathCollectorPluginConfig processClasspathMaven​(org.apache.maven.project.MavenProject project,
                                                                                                                       MavenClasspathMavenConfig mavenIndexMojoConfig)

#### processIndex

    public static org.apache.felix.atomos.utils.core.plugins.index.IndexPluginConfig processIndex​(MavenIndexConfig indexConfig,
                                                                                                  org.apache.maven.project.MavenProject project)
                                                                                           throws IOException

Throws:
  `IOException`

#### processNativeImageConfig

    public static org.apache.felix.atomos.utils.core.plugins.finaliser.ni.NativeImageBuilderConfig processNativeImageConfig​(MavenNativeImageConfig nativeImageConfig,
                                                                                                                            org.apache.maven.project.MavenProject project)

#### processShade

    public static org.apache.felix.atomos.utils.core.plugins.finaliser.shade.ShadeConfig processShade​(MavenShadeConfig shade,
                                                                                                      org.apache.maven.project.MavenProject project)